
<template>
  <el-card>
    <div class="search-box">
      <el-input
        v-model="errorId"
        placeholder="请输入错误id"
        style="width:240px"
        clearable
      />
      <el-button
        type="primary"
        style="margin-left: 10px;"
        size="mini"
        @click="search"
      >查询</el-button>
    </div>
    <div class="cont">
      <el-table
        :data="tableData"
        stripe
        style="width: 100%"
      >
        <el-table-column
          prop="date"
          label="日期"
          width="180"
        />
        <el-table-column
          prop="name"
          label="姓名"
          width="180"
        />
        <el-table-column
          prop="address"
          label="地址"
        />
      </el-table>
    </div>
  </el-card>
</template>
<script>
import { getErrLogById } from '@/api'
export default {
  name: 'ReceiveUnit',
  data() {
    return {
      errorId: undefined,
      companys: [],
      tableData: []
    }
  },
  methods: {
    search() {
      this.getErrLogById()
    },
    getErrLogById() {
      getErrLogById({
        errorId: this.errorId
      }).then((result) => {
        this.tableData = result.data
      })
    }
  }
}
</script>
<style lang="scss" scoped>
.cont{
  margin-top: 15px;
  min-height: 81vh;
  overflow-y: auto;
}
</style>
